ConfigStorage (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.agent.server.ConfigStorage class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.agent.server
Class ConfigStorage

    java.lang.Object
      org.hyperic.hq.agent.server.ConfigStorage

    public class ConfigStorage

extends java.lang.Object

Nested Class Summary
`class` | `ConfigStorage.Key`

Field Summary
`static java.lang.String` | `CONFIG_PREFIX`
`static java.lang.String` | `NO_PREFIX`
`static java.lang.String` | `PROP_ID`
`static java.lang.String` | `PROP_TYPE`
`static java.lang.String` | `PROP_TYPE_NAME`

Constructor Summary
`ConfigStorage(AgentStorageProvider storage, java.lang.String keylistName, java.lang.String storagePrefix)`

Method Summary
`static GenericValueMap` | `copy(java.lang.String srcPrefix, GenericValueMap src, java.lang.String destPrefix, GenericValueMap dest)` For all keys in the keySet that begin with prefix, copy the corresponding key/value pairs from the srcMap to the destination map.
`ConfigStorage.Key` | `getKey(AgentRemoteValue args)`
`java.util.Map` | `load()`
`ConfigResponse` | `put(ConfigStorage.Key key, AgentRemoteValue args)`
`void` | `put(ConfigStorage.Key key, ConfigResponse cr)`
`void` | `remove(ConfigStorage.Key key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_TYPE

    public static final java.lang.String PROP_TYPE

See Also:
  Constant Field Values

### PROP_ID

    public static final java.lang.String PROP_ID

See Also:
  Constant Field Values

### PROP_TYPE_NAME

    public static final java.lang.String PROP_TYPE_NAME

See Also:
  Constant Field Values

### CONFIG_PREFIX

    public static final java.lang.String CONFIG_PREFIX

See Also:
  Constant Field Values

### NO_PREFIX

    public static final java.lang.String NO_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### ConfigStorage

    public ConfigStorage(AgentStorageProvider storage,
                         java.lang.String keylistName,
                         java.lang.String storagePrefix)

Method Detail

### getKey

    public ConfigStorage.Key getKey(AgentRemoteValue args)

### load

    public java.util.Map load()

### put

    public ConfigResponse put(ConfigStorage.Key key,
                              AgentRemoteValue args)
                       throws AgentStorageException

  Throws:
    `AgentStorageException`

### put

    public void put(ConfigStorage.Key key,
                    ConfigResponse cr)
             throws AgentStorageException

  Throws:
    `AgentStorageException`

### remove

    public void remove(ConfigStorage.Key key)
                throws AgentStorageException

  Throws:
    `AgentStorageException`

### copy

    public static GenericValueMap copy(java.lang.String srcPrefix,
                                       GenericValueMap src,
                                       java.lang.String destPrefix,
                                       GenericValueMap dest)

  For all keys in the keySet that begin with prefix, copy the corresponding key/value pairs from the srcMap to the destination map.

  Parameters:
    `srcPrefix` - Properties in the source map that begin with this prefix will be copied.
    `src` - The source map to search for matching keys.
    `destPrefix` - This prefix will be prepended to the key names that are copied. This is prepended after the srcPrefix has been stripped.
    `dest` - The destination map to copy key/value pairs to.
  Returns:
    The destination map.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.